Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Plain View
Pig >> mail # user >> Pig 0.10.0-cdh4.1.1: Annoying deprecation warnings


Copy link to this message
-
Pig 0.10.0-cdh4.1.1: Annoying deprecation warnings
Hi guys,

When runnig Pig I have a lot of WARNs like these:
2013-01-20 19:09:21,318 [main] WARN  org.apache.hadoop.conf.Configuration -
fs.default.name is deprecated. Instead, use fs.defaultFS
2013-01-20 19:09:22,756 [main] WARN  org.apache.hadoop.conf.Configuration -
io.bytes.per.checksum is deprecated. Instead, use dfs.bytes-per-checksum
2013-01-20 19:09:22,757 [main] WARN  org.apache.hadoop.conf.Configuration -
topology.node.switch.mapping.impl is deprecated. Instead, use
net.topology.node.switch.mapping.impl

For now I just launch Pig with a workaround to remove them:
pig -x local -f Script.pig 2>&1 | grep -v "is deprecated. Instead, use"

Do I understand correctly that the WARNs are due to Pig's source code that
is not updated to the latest properties?

Can I configure Pig to completely remove all the deprecation warnings?

Thanks in advance
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB